<?
require '../sys/inc/start.php';
if (isset($_GET['showinfo']) || !isset($_GET['f']) || isset($_GET['komm']))
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/obmen.php';
require '../sys/inc/user.php';

if (isset($_GET['d']) && esc($_GET['d'])!=NULL)
{
$l=preg_replace("#\.{2,}#",NULL,esc($_GET['d']));
$l=preg_replace("#\./|/\.#",NULL,$l);
$l=preg_replace("#(/){1,}#","/",$l);
$l='/'.preg_replace("#(^(/){1,})|((/){1,}$)#","",$l);
}
else
{
$l='/';
}

if ($l=='/')
{
$dir_id['upload']=0;
$id_dir=0;
$l='/';
}

elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_dir` WHERE `dir` = '/$l' OR `dir` = '$l/' OR `dir` = '$l' LIMIT 1"),0)!=0)
{
$dir_id=mysql_fetch_assoc(mysql_query("SELECT * FROM `obmennik_dir` WHERE `dir` = '/$l' OR `dir` = '$l/' OR `dir` = '$l' LIMIT 1"));
$id_dir=$dir_id['id'];
}
else
{
$dir_id['upload']=0;
$id_dir=0;
$l='/';
}


if (isset($_GET['f']))
{
$f=esc(urldecode($_GET['f']));
$name=preg_replace('#\.[^\.]*$#', NULL, $f); // имя файла без расширения
$ras=strtolower(preg_replace('#^.*\.#', NULL, $f));


$ras=str_replace('jad', 'jar', $ras);

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `id_dir` = '$id_dir' AND `name`='$name' AND `ras` = '$ras' LIMIT 1"),0)!=0)
{
$file_id=mysql_fetch_assoc(mysql_query("SELECT * FROM `obmennik_files` WHERE `id_dir` = '$id_dir' AND `name`='$name' AND `ras` = '$ras' LIMIT 1"));


$ras=$file_id['ras'];
$file=H."sys/obmen/files/$file_id[id].dat";
$name=$file_id['name'];
$size=$file_id['size'];

if (!isset($_GET['showinfo']) && !isset($_GET['komm']) && is_file(H.'sys/obmen/files/'.$file_id['id'].'.dat'))
{





if ($ras=='jar' && strtolower(preg_replace('#^.*\.#', NULL, $f))=='jad')
{


include_once H.'sys/inc/zip.php';
$zip=new PclZip(H.'sys/obmen/files/'.$file_id['id'].'.dat');
$content = $zip->extract(PCLZIP_OPT_BY_NAME, "META-INF/MANIFEST.MF" ,PCLZIP_OPT_EXTRACT_AS_STRING);
$jad=preg_replace("#(MIDlet-Jar-URL:( )*[^(\n|\r)]*)#i", NULL, $content[0]['content']);
$jad=preg_replace("#(MIDlet-Jar-Size:( )*[^(\n|\r)]*)(\n|\r)#i", NULL, $jad);
$jad=trim($jad);
$jad.="\r\nMIDlet-Jar-Size: ".filesize(H.'sys/obmen/files/'.$file_id['id'].'.dat')."";
$jad.="\r\nMIDlet-Jar-URL: /obmen$dir_id[dir]$file_id[name].$file_id[ras]";
$jad=br($jad,"\r\n");
header('Content-Type: text/vnd.sun.j2me.app-descriptor');
header('Content-Disposition: attachment; filename="'.$file_id['name'].'.jad";');
echo $jad;
exit;



}



@mysql_query("UPDATE `obmennik_files` SET `k_loads` = '".($file_id['k_loads']+1)."' WHERE `id` = '$file_id[id]' LIMIT 1");
include_once '../sys/inc/downloadfile.php';
DownloadFile(H.'sys/obmen/files/'.$file_id['id'].'.dat', $name.'.'.$ras, ras_to_mime($ras));
exit;
}


$set['title']='Обменник - '.$file_id['name']; // заголовок страницы
require '../sys/inc/thead.php';
title();
?>
<div class='fyt'>
<a href='/obmen/'>Обменник</a> &gt; <a href='/obmen<?echo $dir_id['dir'];?>'><?echo $dir_id['name'];?></a> &gt; <?echo $file_id['name'];?><br />
</div>
<?
if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_komm` WHERE `id_file` = '$file_id[id]' AND `id_user` = '$user[id]' AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){

$ank=get_user($file_id['id_user']);

if ($ank['id']!=$user['id']) // уведомление
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) VALUES ('0', '$ank[id]', '$user[nick] оставил комментарий к [url=/obmen$dir_id[dir]".urlencode($file_id['name']).".$file_id[ras]?showinfo&page=end]Вашему файлу[/url]', '$time')");


mysql_query("INSERT INTO `obmennik_komm` (`id_file`, `id_user`, `time`, `msg`) values('$file_id[id]', '$user[id]', '$time', '".my_esc($msg)."')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
########## Реётинг активности#################
mysql_query("UPDATE `user` SET `akt_rating` = '".($user['akt_rating']+0.002)."' WHERE `id` = '$user[id]' LIMIT 1");
########## Реётинг активности#################
msg('Сообщение успешно добавлено');
}
}

require 'inc/file_act.php';
err();
require 'inc/komm_act.php'; // действия с комментариями
####
echo "<div class='fyt_enk'>";
if(is_file("inc/file/$ras.php"))include "inc/file/$ras.php";
else
require 'inc/file.php';
echo "</div>\n";
echo "<div class='fyt'>";
if ($file_id['ras']=='jar')
echo "<img src='/style/images/2download.png' alt='soc' /> <a href='/obmen$dir_id[dir]".urlencode($file_id['name']).".jad'>Скачать</a> <a href='/obmen$dir_id[dir]".urlencode($file_id['name']).".$file_id[ras]'>JAR</a> ($file_id[k_loads])<br />\n";
else
echo "<img src='/style/images/2download.png' alt='soc' /> <a href='/obmen$dir_id[dir]".urlencode($file_id['name']).".$file_id[ras]'>Скачать</a> ($file_id[k_loads])<br />\n";
echo "</div>\n";
require 'inc/file_form.php';
echo "<div class='fyt'><input type='text' value='http://$_SERVER[SERVER_NAME]/obmen$dir_id[dir]".urlencode($file_id['name']).".$file_id[ras]' /></div>\n";
$_SESSION['page']=1;
include_once '../sys/inc/thead.php';

include_once 'inc/komm.php';
?>
<div class='fyt'>
<a href='/obmen/'>Обменник</a> &gt; <a href='/obmen<?echo $dir_id['dir'];?>'><?echo $dir_id['name'];?></a> &gt; <?echo $file_id['name'];?><br />
</div>
<?
require '../sys/inc/tfoot.php';

}
}
require 'inc/dir.php';

require '../sys/inc/tfoot.php';
?>